module GooglePerspective
  class << self
    attr_accessor :configuration
  end

  def self.configure
    self.configuration ||= Configuration.new
    yield(configuration)
  end

  class Configuration
    attr_accessor :access_key, :models

    def initialize
      @access_key = ''
    end
  end
end
